## kile 2.0.1

=== src/kile/complete/tex/CMakeLists.txt ===

########### install files ###############
# get this cwl list with "for i in `ls *.cwl -1`; do echo "$i";  done"
SET(kile_texCompleteFiles
	acronym.cwl
	amsopn.cwl
	afterpage.cwl
	amsbsy.cwl
	amsfonts.cwl
	amsmath.cwl
	amssymb.cwl
	amsthm.cwl
	array.cwl
	attachfile.cwl
	beamerfoils.cwl
	beamerprosper.cwl
	beamerseminar.cwl
	beamertexpower.cwl
	booktabs.cwl
	braket.cwl
	calc.cwl
	class-beamer.cwl
	class-letter.cwl
	class-scrartcl,scrreprt,scrbook.cwl
	class-scrlttr2.cwl
	color.cwl
	colortbl.cwl
	coordsys.cwl
	currvita.cwl
	cyrillic.cwl
	diagxy.cwl
	doi.cwl
	enumerate.cwl
	fancybox.cwl
	fancyhdr.cwl
	fancyunits-base.cwl
	fancyunits_big-fractions.cwl
	fancyunits_medium-fractions.cwl
	fancyunits-np.cwl
	fancyunits-per.cwl
	fancyunits_small-fractions.cwl
	fancyvrb.cwl
	fontspec.cwl
	graphicx.cwl
	hyperref.cwl
	ifthen.cwl
	import.cwl
	jurabib.cwl
	latex-209.cwl
	latex-dev.cwl
	latex-document.cwl
	latex-l2tabu.cwl
	latex-mathsymbols.cwl
	layout.cwl
	listings.cwl
	logsys.cwl
	longtable.cwl
	lscape.cwl
	manyfoot.cwl
	mdwlist.cwl
	multicol.cwl
	multido.cwl
	pdfpages.cwl
	psfrag.cwl
	pst-3d.cwl
	pst-blur.cwl
	pst-char.cwl
	pst-coil.cwl
	pst-eps.cwl
	pst-fill.cwl
	pst-node.cwl
	pst-plot.cwl
	pstricks.cwl
	pst-text.cwl
	pst-tree.cwl
	rotating.cwl
	scraddr.cwl
	scrdate.cwl
	scrlfile.cwl
	scrpage2.cwl
	scrtime.cwl
	setspace.cwl
	subfig.cwl
	supertabular.cwl
	svninfo.cwl
	svn-multi.cwl
	tabularx.cwl
	tex.cwl
	textcomp.cwl
	url.cwl
	varioref.cwl
	verse.cwl
	virginialake.cwl
	xifthen.cwl
	xltxtra.cwl
	xtab.cwl
	yfonts.cwl
)

INSTALL( FILES ${kile_texCompleteFiles} DESTINATION share/apps/kile/complete/tex )

## kile 2.1.0~svn942443

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.2)

PROJECT( kile )

find_package(KDE4 4.2.0 REQUIRED)
include (KDE4Defaults)


SET( KILE_VERSION CACHE STRING "Kile's version; can be used to install special documentation files in share/doc/kile-$KILE_VERSION/" )

SET( kile_PO_FILE "kile.po" )
SET( kile_DOCBOOK "index.docbook" )

MACRO( KILE_ADD_DOCBOOK_DIRECTORY _sources _relative_dir _docbook _language )
	# only depend on images
	FILE( GLOB_RECURSE _dependencies ${CMAKE_CURRENT_SOURCE_DIR}/${_relative_dir}/*.[pP][nN][gG] )
	FILE( MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${_relative_dir} )

	SET( _source_docbook ${CMAKE_CURRENT_SOURCE_DIR}/${_relative_dir}/${_docbook} )
	SET( _compiled_docbook ${CMAKE_CURRENT_BINARY_DIR}/${_relative_dir}/index.cache.bz2 )

	ADD_CUSTOM_COMMAND(OUTPUT ${_compiled_docbook}
			COMMAND ${KDE4_MEINPROC_EXECUTABLE} --check --cache index.cache.bz2 ${_source_docbook}
			DEPENDS ${_dependencies} ${_source_docbook}
			WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${_relative_dir}
			COMMENT "Compiling ${_language} docbook in ${_relative_dir}/${_docbook}" )

	INSTALL( FILES ${_compiled_docbook} ${_dependencies} DESTINATION
${HTML_INSTALL_DIR}/${_language})
	SET( ${_sources} ${${_sources}} ${_compiled_docbook} )
ENDMACRO( KILE_ADD_DOCBOOK_DIRECTORY _sources _docbook _language )

MACRO( KILE_ADD_TRANSLATION_DIRECTORY _sources _relative_dir _file _language )
	FILE( MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${_relative_dir} )

	GET_FILENAME_COMPONENT(_base_name ${_file} NAME_WE)
	SET( _source_file ${CMAKE_CURRENT_SOURCE_DIR}/${_relative_dir}/${_file} )
	SET( _base_compiled_file ${_base_name}.mo)
	SET( _compiled_file ${CMAKE_CURRENT_BINARY_DIR}/${_relative_dir}/${_base_compiled_file} )

	ADD_CUSTOM_COMMAND(OUTPUT ${_compiled_file}
			COMMAND ${KILE_MSGFMT} -o ${_compiled_file} ${_source_file}
			DEPENDS ${_source_file}
			WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${_relative_dir}
			COMMENT "Compiling ${_language} translation file" )

	INSTALL( FILES ${_compiled_file} DESTINATION ${LOCALE_INSTALL_DIR}/${_language}/LC_MESSAGES )
	SET( ${_sources} ${${_sources}} ${_compiled_file} )
ENDMACRO( KILE_ADD_TRANSLATION_DIRECTORY _sources _relative_dir _file _language )

MACRO( KILE_ADD_TRANSLATION_DIRECTORIES _documentation_sources _translation_sources _dir )
	FILE( GLOB _subdirectories ${_dir}/* )

	FOREACH( _entry ${_subdirectories} )
		IF( IS_DIRECTORY ${_entry} )
			GET_FILENAME_COMPONENT( _language ${_entry} NAME )
			IF( KILE_MSGFMT AND EXISTS ${_entry}/messages )
				KILE_ADD_TRANSLATION_DIRECTORY( ${_translation_sources} translations/${_language}/messages ${kile_PO_FILE} ${_language} )
				SET(_translations_built ${_translations_built} ${_language} )
			ENDIF( KILE_MSGFMT AND EXISTS ${_entry}/messages )
			IF( KDE4_MEINPROC_EXECUTABLE AND EXISTS ${_entry}/doc )
				KILE_ADD_DOCBOOK_DIRECTORY( ${_documentation_sources} translations/${_language}/doc ${kile_DOCBOOK} ${_language} )
				SET(_docbooks_built ${_docbooks_built} ${_language} )
			ENDIF( KDE4_MEINPROC_EXECUTABLE AND EXISTS ${_entry}/doc )
		ENDIF( IS_DIRECTORY ${_entry} )
	ENDFOREACH( _entry ${_subdirectories} )

	IF( _translations_built )
		MESSAGE( STATUS "Building translations for ${_translations_built}" )
	ELSE( _translations_built )
		MESSAGE( STATUS "Not building translations" )
	ENDIF( _translations_built )

	IF( _docbooks_built )
		MESSAGE( STATUS "Building documentation for ${_docbooks_built}" )
	ELSE( _docbooks_built )
		MESSAGE( STATUS "Not building additional documentation" )
	ENDIF( _docbooks_built )
ENDMACRO( KILE_ADD_TRANSLATION_DIRECTORIES _documentation_sources _translation_sources _dir )

MACRO( KILE_FIND_DOC_TOOLS )

	IF( KDE4_MEINPROC_EXECUTABLE )
		MESSAGE( STATUS "Found meinproc4: ${KDE4_MEINPROC_EXECUTABLE}" )
	ELSE ( KDE4_MEINPROC_EXECUTABLE)
		MESSAGE( STATUS "Could not find meinproc4")
	ENDIF( KDE4_MEINPROC_EXECUTABLE )

	FIND_PROGRAM( KILE_MSGFMT "msgfmt" DOC "path of the msgfmt executable")
	IF( KILE_MSGFMT )
		MESSAGE( STATUS "Found msgfmt: ${KILE_MSGFMT}" )
	ELSE( KILE_MSGFMT )
		 MESSAGE( STATUS "Could not find msgfmt" )
	ENDIF( KILE_MSGFMT )

	IF( KDE4_MEINPROC_EXECUTABLE AND KILE_MSGFMT )
		SET( KILE_DOC_TOOLS_FOUND true )
	ENDIF ( KDE4_MEINPROC_EXECUTABLE AND KILE_MSGFMT )
ENDMACRO( KILE_FIND_DOC_TOOLS )

IF( EXISTS ${kile_SOURCE_DIR}/doc OR EXISTS ${kile_SOURCE_DIR}/translations )
	KILE_FIND_DOC_TOOLS( )
ENDIF(  EXISTS ${kile_SOURCE_DIR}/doc OR EXISTS ${kile_SOURCE_DIR}/translations )

IF( EXISTS ${kile_SOURCE_DIR}/doc )
	IF( KDE4_MEINPROC_EXECUTABLE )
		MESSAGE( STATUS "Building standard documentation")
		KILE_ADD_DOCBOOK_DIRECTORY( kile_DOCUMENTATION_SOURCES doc index.docbook en )
	ENDIF( KDE4_MEINPROC_EXECUTABLE )
ELSE( EXISTS ${kile_SOURCE_DIR}/doc )
	MESSAGE( STATUS "Not building standard documentation")
ENDIF( EXISTS ${kile_SOURCE_DIR}/doc )

IF( EXISTS ${kile_SOURCE_DIR}/translations )
	IF( KDE4_MEINPROC_EXECUTABLE OR KILE_MSGFMT )
		KILE_ADD_TRANSLATION_DIRECTORIES( kile_DOCUMENTATION_SOURCES kile_TRANSLATION_SOURCES ${kile_SOURCE_DIR}/translations )
	ENDIF( KDE4_MEINPROC_EXECUTABLE OR KILE_MSGFMT )
ELSE( EXISTS ${kile_SOURCE_DIR}/translations )
	MESSAGE( STATUS "Not building translations")
ENDIF( EXISTS ${kile_SOURCE_DIR}/translations )

IF( kile_DOCUMENTATION_SOURCES )
	ADD_CUSTOM_TARGET(docbooks ALL DEPENDS ${kile_DOCUMENTATION_SOURCES})
ENDIF( kile_DOCUMENTATION_SOURCES )

IF( kile_TRANSLATION_SOURCES )
	ADD_CUSTOM_TARGET(translations ALL DEPENDS ${kile_TRANSLATION_SOURCES})
ENDIF( kile_TRANSLATION_SOURCES)

ADD_SUBDIRECTORY( src )

########### install files ###############

INSTALL( FILES x-kilepr.desktop DESTINATION share/mimelink/text )

INSTALL( FILES kile.upd kile1.6_upd.pl kile1.7_upd.pl kile1.9_upd.pl
kile1.9-1_upd.pl kile2.0-1_upd.pl kile2.0-2_upd.pl kile2.0-3_upd.pl
kile2.0-4_upd.pl kile2.0-5_upd.pl DESTINATION ${DATA_INSTALL_DIR}/kconf_update )

IF( KILE_VERSION )
	SET(_KILE_SPECIAL_DOC_DIR "share/doc/kile-${KILE_VERSION}")
ELSE( KILE_VERSION )
	SET(_KILE_SPECIAL_DOC_DIR "share/doc/kile")
ENDIF( KILE_VERSION )

INSTALL( FILES AUTHORS ChangeLog README README.cwl kile-remote-control.txt README.MacOSX TODO DESTINATION ${_KILE_SPECIAL_DOC_DIR})

=== src/CMakeLists.txt ===
ADD_SUBDIRECTORY( data )
ADD_SUBDIRECTORY( test )

INCLUDE( FindPerl )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} )

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

########### next target ###############

SET(kile_SRCS
	latexcmd.cpp
	dialogs/latexcommanddialog.cpp
	dialogs/texdocumentationdialog.cpp
	userhelp.cpp
	dialogs/userhelpdialog.cpp
	dialogs/floatdialog.cpp
	dialogs/mathenvironmentdialog.cpp
	dialogs/postscriptdialog.cpp
	widgets/previewconfigwidget.cpp
	quickpreview.cpp
	dialogs/includegraphicsdialog.cpp
	dialogs/newfilewizard.cpp
	dialogs/managetemplatesdialog.cpp
	templates.cpp
	dialogs/usertagsdialog.cpp
	dialogs/configurationdialog.cpp
	dialogs/tabbingdialog.cpp
	widgets/symbolview.cpp
	dialogs/quickdocumentdialog.cpp
	widgets/filebrowserwidget.cpp
	docpart.cpp
	kile.cpp
	main.cpp
	kileactions.cpp
	kilestdactions.cpp
	kileinfo.cpp
	documentinfo.cpp
	kileproject.cpp
	dialogs/projectdialogs.cpp
	widgets/projectview.cpp
	kilelistselector.cpp
	kilelyxserver.cpp
	latexoutputfilter.cpp
	outputinfo.cpp
	outputfilter.cpp
	dialogs/findfilesdialog.cpp
	kiletool.cpp
	kilelauncher.cpp
	kiletoolmanager.cpp
	kilestdtools.cpp
	widgets/logwidget.cpp
	widgets/outputview.cpp
	widgets/konsolewidget.cpp
	kilewizard.cpp
	widgets/structurewidget.cpp
	codecompletion.cpp
	widgets/codecompletionconfigwidget.cpp
	widgets/toolconfigwidget.cpp
	editorextension.cpp
	dialogs/cleandialog.cpp
	kilehelp.cpp
	convert.cpp
	kiledocmanager.cpp
	kileviewmanager.cpp
	eventfilter.cpp
	kileerrorhandler.cpp
	dialogs/configcheckerdialog.cpp
	configtester.cpp
	widgets/sidebar.cpp
	plaintolatexconverter.cpp
	kileuntitled.cpp
	dialogs/statisticsdialog.cpp
	widgets/statisticswidget.cpp
	widgets/previewwidget.cpp
	widgets/scriptsmanagementwidget.h
	widgets/scriptsmanagementwidget.cpp
	editorkeysequencemanager.h
	editorkeysequencemanager.cpp
	kileversion.cpp
	widgets/abbreviationview.cpp
	dialogs/abbreviationinputdialog.cpp
	kileextensions.cpp
	widgets/categorycombobox.cpp
	widgets/extendedscrollarea.cpp
	scripting/bindings.cpp
	scriptmanager.cpp
	dialogs/tabular/multicolumnborderhelper.cpp
	dialogs/tabular/newtabulardialog.cpp
	dialogs/tabular/selectcoloraction.cpp
	dialogs/tabular/selectframeaction.cpp
	dialogs/tabular/tabularcell.cpp
	dialogs/tabular/tabularcelldelegate.cpp
	dialogs/tabular/tabularheaderitem.cpp
	dialogs/tabular/tabularproperties.cpp
	dialogs/tabular/tabulartable.cpp
	configurationmanager.cpp
	utilities.cpp
)

SET( kile_UI
	widgets/helpconfigwidget.ui
	widgets/latexconfigwidget.ui
	widgets/generalconfigwidget.ui
	widgets/configcheckerwidget.ui
	widgets/maintoolconfigwidget.ui
	widgets/librarytoolconfigwidget.ui
	widgets/processtoolconfigwidget.ui
	widgets/quicktoolconfigwidget.ui
	widgets/latextoolconfigwidget.ui
	dialogs/newtoolwizard_class_page.ui
	dialogs/newtoolwizard_toolname_page.ui
	widgets/environmentconfigwidget.ui
	widgets/structureviewconfigwidget.ui
	widgets/symbolviewconfigwidget.ui
	widgets/scriptingconfigwidget.ui
	widgets/graphicsconfigwidget.ui
	widgets/newdocumentwidget.ui
	dialogs/tabbingdialog_base.ui
	dialogs/floatdialog_base.ui
	dialogs/postscriptdialog_base.ui
	dialogs/includegraphicsdialog_base.ui
	dialogs/latexcommanddialog_base.ui
)

SET( kile_UI_SRCS
	widgets/configcheckerwidget.cpp
	widgets/environmentconfigwidget.cpp
	widgets/graphicsconfigwidget.cpp
	widgets/generalconfigwidget.cpp
	widgets/helpconfigwidget.cpp
	widgets/latexconfigwidget.cpp
	widgets/latextoolconfigwidget.cpp
	widgets/librarytoolconfigwidget.cpp
	widgets/newdocumentwidget.cpp
	dialogs/newtoolwizard.cpp
	widgets/processtoolconfigwidget.cpp
	widgets/quicktoolconfigwidget.cpp
	widgets/scriptingconfigwidget.cpp
	widgets/structureviewconfigwidget.cpp
	widgets/symbolviewconfigwidget.cpp
	widgets/maintoolconfigwidget.cpp
)

SET(kile_SRCS ${kile_SRCS} ${kile_UI_SRCS})

KDE4_ADD_UI_FILES(kile_SRCS ${kile_UI})

SET(kile_SRCS ${kile_SRCS} net.sourceforge.kile.main.xml)
QT4_ADD_DBUS_ADAPTOR(kile_SRCS net.sourceforge.kile.main.xml kile.h Kile)

SET( kile_KCFG_SRCS kileconfig.kcfgc)

KDE4_ADD_KCFG_FILES(kile_SRCS ${kile_KCFG_SRCS})

KDE4_ADD_APP_ICON(kile_SRCS "data/icons/hi*-app-kile.png")

KDE4_ADD_EXECUTABLE(kile ${kile_SRCS})

TARGET_LINK_LIBRARIES(kile ${KDE4_KHTML_LIBS} ${KDE4_KROSSCORE_LIBS} 
${KDE4_KFILE_LIBS} ${KDE4_KTEXTEDITOR_LIBS})

INSTALL( TARGETS kile DESTINATION ${BIN_INSTALL_DIR} )



########### install files ###############

INSTALL( FILES net.sourceforge.kile.main.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )
INSTALL( FILES kile.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
INSTALL( FILES kile.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
INSTALL( FILES data/bibtexentries.rc data/biblatexentries.rc
kileui.rc docpartui.rc tips DESTINATION ${DATA_INSTALL_DIR}/kile )

IF(CMAKE_SYSTEM_NAME MATCHES Windows)
  INSTALL (FILES data/kilestdtools-win.rc 
           DESTINATION ${DATA_INSTALL_DIR}/kile 
           RENAME kilestdtools.rc)

ELSE(CMAKE_SYSTEM_NAME MATCHES Windows)
  INSTALL (FILES data/kilestdtools.rc 
           DESTINATION ${DATA_INSTALL_DIR}/kile)

ENDIF(CMAKE_SYSTEM_NAME MATCHES Windows)

KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )

=== src/data/CMakeLists.txt ===
ADD_SUBDIRECTORY( complete )
ADD_SUBDIRECTORY( encodings )
ADD_SUBDIRECTORY( help )
ADD_SUBDIRECTORY( icons )
ADD_SUBDIRECTORY( pics )
ADD_SUBDIRECTORY( symbols )
ADD_SUBDIRECTORY( templates )

=== src/test/CMakeLists.txt ===

########### install files ###############

SET( testFiles
	runTests.sh
	test.tex
	test_plain.tex
	test.bib
	test_bib.tex
	test_index.tex
)

INSTALL( FILES ${testFiles} DESTINATION ${DATA_INSTALL_DIR}/kile/test )

=== src/data/help/CMakeLists.txt ===

########### install files ###############
FILE(GLOB kile_lst *.lst)
INSTALL( FILES ${kile_lst} DESTINATION ${DATA_INSTALL_DIR}//kile/help )

=== src/data/pics/CMakeLists.txt ===

########### install files ###############

INSTALL( FILES type_Book.tex.kileicon type_Letter.tex.kileicon
type_Scrartcl.tex.kileicon type_Default.png
type_Project.png type_Scrbook.tex.kileicon kile_splash.png
type_Article.tex.kileicon type_Empty.png type_Prosper.tex.kileicon
type_Scrlttr2.tex.kileicon type_Beamer.tex.kileicon
type_HA-prosper.tex.kileicon type_Report.tex.kileicon
type_Scrreprt.tex.kileicon DESTINATION ${DATA_INSTALL_DIR}/kile/pics )

=== src/data/symbols/CMakeLists.txt ===
# FILE( GLOB_RECURSE _allFiles * )
# FOREACH( _file ${_allFiles} )
# # MESSAGE(STATUS "checking ${_file}")
# 	IF( IS_DIRECTORY _file )
# MESSAGE(STATUS "Installing dir ${_file$}")
# 		INSTALL( DIRECTORY _file DESTINATION share/apps/kile/mathsymbols
# 		         PATTERN ".svn" EXCLUDE
# 		         PATTERN "Makefile.am" EXCLUDE)
# 	ENDIF( IS_DIRECTORY _file )
# ENDFOREACH( _file )

SET(kile_symbolSubdirs
	arrows
	cyrillic
	delimiters
	greek
	misc-math
	misc-text
	operators
	relation
	special
)

# for the future:
# INSTALL( DIRECTORY ${kile_symbolSubdirs} DESTINATION share/apps/kile/mathsymbols
# 		PATTERN ".svn" EXCLUDE
# 		PATTERN "Makefile.am" EXCLUDE)

FOREACH( _dir ${kile_symbolSubdirs} )
	ADD_SUBDIRECTORY( ${_dir} )
ENDFOREACH( _dir )

########### next target ###############

find_package(Qt4 REQUIRED)

IF(QT4_FOUND)
      INCLUDE(${QT_USE_FILE})
    ELSE(QT4_FOUND)
      MESSAGE(FATAL ERROR "Qt4 not found.")
    ENDIF(QT4_FOUND)

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${QT_INCLUDES} )

SET(gesymb_SRCS
	gesymb.cpp
	gesymb.h
)

ADD_EXECUTABLE(gesymb EXCLUDE_FROM_ALL ${gesymb_SRCS} )
TARGET_LINK_LIBRARIES(gesymb ${QT_LIBRARIES} )


########### install files ###############

=== src/data/symbols/arrows/CMakeLists.txt ===
file(GLOB symbols *.png)

INSTALL( FILES ${symbols} DESTINATION ${DATA_INSTALL_DIR}/kile/mathsymbols/arrows )

=== src/data/symbols/cyrillic/CMakeLists.txt ===

########### install files ###############

file(GLOB symbols *.png)

INSTALL( FILES ${symbols} DESTINATION ${DATA_INSTALL_DIR}/kile/mathsymbols/cyrillic )

=== src/data/symbols/delimiters/CMakeLists.txt ===

########### install files ###############

file(GLOB symbols *.png)
INSTALL( FILES ${symbols} DESTINATION ${DATA_INSTALL_DIR}/kile/mathsymbols/delimiters )

=== src/data/symbols/greek/CMakeLists.txt ===

########### install files ###############

file(GLOB symbols *.png)
INSTALL( FILES ${symbols} DESTINATION ${DATA_INSTALL_DIR}/kile/mathsymbols/greek )

=== src/data/symbols/misc-math/CMakeLists.txt ===

########### install files ###############
file(GLOB symbols *.png)

INSTALL( FILES ${symbols} DESTINATION ${DATA_INSTALL_DIR}/kile/mathsymbols/misc-math )

## kile 2.1.0~svn1014763beta2

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 			COMMENT "Compiling ${_language} docbook in ${_relative_dir}/${_docbook}" )
 
 	INSTALL( FILES ${_compiled_docbook} ${_dependencies} DESTINATION
-${HTML_INSTALL_DIR}/${_language})
+${HTML_INSTALL_DIR}/${_language}/kile)
 	SET( ${_sources} ${${_sources}} ${_compiled_docbook} )
 ENDMACRO( KILE_ADD_DOCBOOK_DIRECTORY _sources _docbook _language )
 
@@ -143,5 +143,5 @@
 	SET(_KILE_SPECIAL_DOC_DIR "share/doc/kile")
 ENDIF( KILE_VERSION )
 
-INSTALL( FILES AUTHORS ChangeLog README README.cwl kile-remote-control.txt README.MacOSX TODO DESTINATION ${_KILE_SPECIAL_DOC_DIR}) 
+INSTALL( FILES AUTHORS ChangeLog README README.cwl kile-remote-control.txt README.MacOSX DESTINATION ${_KILE_SPECIAL_DOC_DIR})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,7 @@
 	dialogs/quickdocumentdialog.cpp
 	widgets/filebrowserwidget.cpp
 	docpart.cpp
+	symbolviewclasses.h
 	kile.cpp
 	main.cpp
 	kileactions.cpp
@@ -97,6 +98,7 @@
 	dialogs/tabular/tabulartable.cpp
 	configurationmanager.cpp
 	utilities.cpp
+	abbreviationmanager.cpp
 )
 
 SET( kile_UI
@@ -161,7 +163,7 @@
 TARGET_LINK_LIBRARIES(kile ${KDE4_KHTML_LIBS} ${KDE4_KROSSCORE_LIBS} 
 ${KDE4_KFILE_LIBS} ${KDE4_KTEXTEDITOR_LIBS})
 
-INSTALL( TARGETS kile DESTINATION ${BIN_INSTALL_DIR} )
+INSTALL( TARGETS kile ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== src/data/pics/CMakeLists.txt ===

########### install files ###############
file(GLOB kileicons *.kileicon)

INSTALL(FILES kile_splash_beta2.png DESTINATION ${DATA_INSTALL_DIR}/kile/pics RENAME kile_splash.png)

INSTALL(FILES  type_Default.png type_Empty.png type_Project.png DESTINATION ${DATA_INSTALL_DIR}/kile/pics)
INSTALL(FILES ${kileicons} DESTINATION ${DATA_INSTALL_DIR}/kile/pics)

## kile 2.1.0~svn1112278beta4

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,8 +25,7 @@
 			WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${_relative_dir}
 			COMMENT "Compiling ${_language} docbook in ${_relative_dir}/${_docbook}" )
 
-	INSTALL( FILES ${_compiled_docbook} ${_dependencies} DESTINATION
-${HTML_INSTALL_DIR}/${_language}/kile)
+	INSTALL( FILES ${_compiled_docbook} ${_source_docbook} ${_dependencies} DESTINATION ${HTML_INSTALL_DIR}/${_language}/kile )
 	SET( ${_sources} ${${_sources}} ${_compiled_docbook} )
 ENDMACRO( KILE_ADD_DOCBOOK_DIRECTORY _sources _docbook _language )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,7 @@
 	dialogs/configurationdialog.cpp
 	dialogs/tabbingdialog.cpp
 	widgets/symbolview.cpp
+	widgets/commandview.cpp
 	dialogs/quickdocumentdialog.cpp
 	widgets/filebrowserwidget.cpp
 	docpart.cpp
@@ -85,6 +86,8 @@
 	kileextensions.cpp
 	widgets/categorycombobox.cpp
 	widgets/extendedscrollarea.cpp
+	widgets/progressdialog.h
+	widgets/progressdialog.cpp
 	scripting/bindings.cpp
 	scriptmanager.cpp
 	dialogs/tabular/multicolumnborderhelper.cpp
@@ -99,6 +102,7 @@
 	configurationmanager.cpp
 	utilities.cpp
 	abbreviationmanager.cpp
+	editorcommands.cpp
 )
 
 SET( kile_UI

=== src/data/pics/CMakeLists.txt ===

########### install files ###############
file(GLOB kileicons *.kileicon)

INSTALL(FILES kile_splash_beta4.png DESTINATION ${DATA_INSTALL_DIR}/kile/pics RENAME kile_splash.png)

INSTALL(FILES  type_Default.png type_Empty.png type_Project.png DESTINATION ${DATA_INSTALL_DIR}/kile/pics)
INSTALL(FILES ${kileicons} DESTINATION ${DATA_INSTALL_DIR}/kile/pics)

=== debian/changelog ===
kile (1:2.1.0~svn1112278beta4-2ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: Recommend firefox instead of iceweasel.
    - debain/control: Don't suggest kile-i18n

 -- Andreas Wenning <awen@awen.dk>  Tue, 22 Jun 2010 13:34:03 +0200

kile (1:2.1.0~svn1112278beta4-2) unstable; urgency=low

  * Update location of KDE 4 HTML documentation.

 -- Fathi Boudra <fabo@debian.org>  Wed, 02 Jun 2010 01:04:52 +0300

kile (1:2.1.0~svn1112278beta4-1ubuntu1) maverick; urgency=low

  * Merge from Debian unstable (LP: #579884), remaining changes:
    - debian/control: Recommend firefox instead of iceweasel to have it look
      like (konqueror | firefox); on default Ubuntu kile will then no longer
      install konqueror. (LP: #452079)
    - debain/control: Don't suggest kile-i18n
    - debian/kile-doc.install: Install to /usr/share/doc/kde/HTML
  * Remove revert-rev1086758.diff, replaced by
    00_root_document_not_detected_kde_bug_233667.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 13 May 2010 12:24:49 +0200

kile (1:2.1.0~svn1112278beta4-1) unstable; urgency=low

  * New upstream release 2.1 beta 4 - svn 1112278. (Closes: #578021)
  * Add 03_mime_install_dir.diff patch: convert the mimetype definitions
    to the XDG format also remove the old KDE 3 definition. (Closes: #572462)
  * Add 00_root_document_not_detected_kde_bug_233667.diff patch:
    Document not detected as Latex root document when opening project.

 -- Fathi Boudra <fabo@debian.org>  Fri, 16 Apr 2010 12:08:37 +0300

kile (1:2.1.0~svn1112263beta4-0ubuntu1) lucid; urgency=low

  * New upstream beta release. (LP: #559068, #453143)
  * Refresh patch kubuntu_02_disable_embedded_kbibtex.diff
  * Add revert-rev1086758.diff to revert revision causing regression.
    - See https://bugs.kde.org/show_bug.cgi?id=233667

 -- Andreas Wenning <awen@awen.dk>  Fri, 09 Apr 2010 11:18:29 +0200

kile (1:2.1.0~svn1079982-0ubuntu1) lucid; urgency=low

  * New upstream svn snapshot including beta3.
    (LP: #409581, #432931, #429336, #267113, 476860, 427538)
  * debian/control: Recommend firefox instead of iceweasel to have it look like
    (konqueror | firefox); on default Ubuntu kile will then no longer install
    konqueror. (LP: #452079)
  * debian/rules: Use override_dh_compress to not compress index.docbook.

 -- Andreas Wenning <awen@awen.dk>  Wed, 27 Jan 2010 02:29:58 +0100

kile (1:2.1.0~svn1055250beta3-1) unstable; urgency=low

  * New upstream release 2.1 beta 3 - svn r1055250. (Closes: #566240)
  * Update debian/control:
    - Bump build dependencies versions (debhelper, pkg-kde-tools and
      kdelibs5-dev).
    - Remove quilt build dependency.
    - Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed).
  * Update debian/rules:
    - Enable parallel build (pass --parallel option to dh).
    - Use kde sequence addon (pass --with kde option to dh).
    - Add override_dh_compress to avoid docbook files compression.
  * Merge from Ubuntu:
    - Add debian/patches/kubuntu_01_improved_viewpart_warning.diff
      instruct how to restore tools config; as an out-dated configuration from
      pre KDE 4 is the most likely cause of the embedded viewer failing.
    - Add kubuntu_02_disable_embedded_kbibtex.diff
      KBibTex-part isn't available for KDE 4 and KBibTex porting does not look
      to happen anytime soon, so disable the Embedded KBibTex option for now.

 -- Fathi Boudra <fabo@debian.org>  Mon, 08 Feb 2010 16:13:31 +0100

kile (1:2.1.0~svn1014763beta2-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - debain/control: Don't suggest kile-i18n
    - debian/kile-doc.install: Install to /usr/share/doc/kde/HTML
  * Fixes (LP: #404879, #403140, #400778)
  * Add debian/patches/kubuntu_01_improved_viewpart_warning.diff to instruct
    how to restore tools config; as an out-dated configuration from pre-KDE4
    is the most likely cause of the embedded viewer failing. (LP: #375913)
  * Add kubuntu_02_disable_embedded_kbibtex.diff. No KBibTex-part is
    available for KDE4 and KBibTex porting does not look to happen anytime
    soon, so disable the Embedded KBibTex option for now. (LP: #376004)

 -- Andreas Wenning <awen@awen.dk>  Wed, 26 Aug 2009 01:15:50 +0200

kile (1:2.1.0~svn1014763beta2-1) unstable; urgency=low

  * New upstream release 2.1 beta 2 - svn r1014763. (Closes: #543282)
  * Update debian/control:
    - Bump build dependencies versions (quilt, debhelper, pkg-kde-tools and
      kdelibs5-dev).
    - Bump Standards-Version from 3.8.2 to 3.8.3 (add debian/README.source).
    - Add evince to Recommends field.
  * Update debian/rules:
    - Cleanup targets since dh support cmake.
  * Remove debian/postinst file - useless.

 -- Fathi Boudra <fabo@debian.org>  Mon, 24 Aug 2009 09:52:01 +0200

kile (1:2.1.0~svn981319beta1-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - debain/control: Don't suggest kile-i18n
    - debian/kile-doc.install: Install to /usr/share/doc/kde/HTML
  * Closes (LP: #380640)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 23 Jun 2009 19:48:30 -0400

kile (1:2.1.0~svn981319beta1-1) unstable; urgency=low

  * New upstream release 2.1 beta 1 - svn r981319 (Closes:#533204):
    - Fix opening configure shortcuts window pins CPU at 100% (Closes: #519746)
    - Fix does not let user input '^' character (Closes: #519905)
    - Fix does not save custom shortcuts (Closes: #528831)
  * Update debian/control:
    - Bump kdelibs5-dev build dependency to 4.2.4
    - Bump Standards-Version to 3.8.2 (no changes needed)
    - Add spell-check dictionary Suggests: aspell | ispell | hspell
  * Update debian/kile.docs: remove TODO* files
  * Cleanup debian/rules: use dh. Thanks to debhelper 7

 -- Fathi Boudra <fabo@debian.org>  Sun, 21 Jun 2009 11:30:24 +0200

kile (1:2.1.0~svn963524-1ubuntu2) karmic; urgency=low

  * Update maintainer



=== debian/control ===
Source: kile
Section: tex
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.9.0),
 kdelibs5-dev (>= 4:4.4.4), shared-mime-info
Standards-Version: 3.8.4
Homepage: http://kile.sourceforge.net
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kile/trunk
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kile/trunk

Package: kile
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 konsole, texlive-base-bin, texlive-latex-base
Recommends: asymptote, context, dblatex, dvipdfmx, dvipng, ghostscript,
 imagemagick, kbibtex | pybliographer | gbib | jabref, konqueror | firefox,
 latex2html, lilypond, okular | evince | gv, psutils, tex4ht, texlive-metapost,
 texlive-xetex, zip
Suggests: kile-doc, texlive-doc-base,
 aspell | ispell | hspell
Conflicts: ktexmaker2 (<< 1.8)
Replaces: ktexmaker2 (<< 1.8)
Description: KDE Integrated LaTeX Environment
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 The source editor is a multi-document editor designed for .tex and .bib
 files.  Menus, wizards and auto-completion are provided to assist with
 tag insertion and code generation.  A structural view of the document
 assists with navigation within source files.
 .
 The TeX shell integrates the various tools required for TeX processing.
 It assists with LaTeX compilation, DVI and postscript document viewing,
 generation of bibliographies and indices and other common tasks.
 .
 Kile can support large projects consisting of several smaller files.

Package: kile-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE Integrated LaTeX Environment (documentation)
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 This package contains the documentation for Kile.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --with kde

override_dh_install:
	# Fix lintian warning: script-not-executable
	find debian -type f -name '*.sh' -or -name '*.pl' | xargs chmod +x

	# Syntax files bibtex.xml and latex.xml are provided by kdelibs5-data package.
	find debian -type f -name bibtex.xml -or -name latex.xml -delete

	# Fix lintian warning: package-contains-readme-for-other-platform-or-distro
	find debian -type f -name README.MacOSX -delete

	dh_install --list-missing

.PHONY: override_dh_auto_test

## kile 2.1.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -57,7 +57,6 @@
 	widgets/konsolewidget.cpp
 	kilewizard.cpp
 	widgets/structurewidget.cpp
-	codecompletion.cpp
 	widgets/codecompletionconfigwidget.cpp
 	widgets/toolconfigwidget.cpp
 	editorextension.cpp
@@ -72,7 +71,6 @@
 	configtester.cpp
 	widgets/sidebar.cpp
 	plaintolatexconverter.cpp
-	kileuntitled.cpp
 	dialogs/statisticsdialog.cpp
 	widgets/statisticswidget.cpp
 	widgets/previewwidget.cpp
@@ -85,7 +83,6 @@
 	dialogs/abbreviationinputdialog.cpp
 	kileextensions.cpp
 	widgets/categorycombobox.cpp
-	widgets/extendedscrollarea.cpp
 	widgets/progressdialog.h
 	widgets/progressdialog.cpp
 	scripting/bindings.cpp
@@ -106,6 +103,7 @@
 )
 
 SET( kile_UI
+	widgets/codecompletionconfigwidget.ui
 	widgets/helpconfigwidget.ui
 	widgets/latexconfigwidget.ui
 	widgets/generalconfigwidget.ui
@@ -149,6 +147,42 @@
 	widgets/maintoolconfigwidget.cpp
 )
 
+# Special handling of code completion due to the removal of 'KTextEditor::SmartRange' from
+# KDE SC 4.5 onwards
+
+# SET(kile_SRCS ${kile_SRCS} ${CMAKE_CURRENT_SOURCE_DIR}/_codecompletion.h
+#                            ${CMAKE_CURRENT_SOURCE_DIR}/_codecompletion.cpp)
+
+if( ${KDE_VERSION} VERSION_EQUAL "4.5" OR  ${KDE_VERSION} VERSION_GREATER "4.5" )
+  MESSAGE( STATUS "Configuring code completion for KDE SC >= 4.5" )
+
+  SET(CODECOMPLETION_MODELCONTROLLERINTERFACE_CLASSNAME CodeCompletionModelControllerInterface3)
+  SET(CODECOMPLETION_RANGE_CLASSNAME "Range")
+  SET(CODECOMPLETION_RANGE_EXTRA "const")
+  SET(CODECOMPLETION_RANGE_RETURN "KTextEditor::Range")
+else( ${KDE_VERSION} VERSION_EQUAL "4.5" OR  ${KDE_VERSION} VERSION_GREATER "4.5" )
+  MESSAGE( STATUS "Configuring code completion for KDE SC < 4.5")
+
+  SET(CODECOMPLETION_MODELCONTROLLERINTERFACE_CLASSNAME CodeCompletionModelControllerInterface)
+  SET(CODECOMPLETION_RANGE_CLASSNAME "SmartRange")
+  SET(CODECOMPLETION_RANGE_EXTRA "")
+  SET(CODECOMPLETION_RANGE_RETURN "void")
+ENDIF( ${KDE_VERSION} VERSION_EQUAL "4.5" OR  ${KDE_VERSION} VERSION_GREATER "4.5" )
+
+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/_codecompletion.h
+               ${CMAKE_CURRENT_BINARY_DIR}/codecompletion.h)
+
+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/_codecompletion.cpp
+               ${CMAKE_CURRENT_BINARY_DIR}/codecompletion.cpp)
+
+SET(kile_SRCS
+    ${kile_SRCS}
+    ${CMAKE_CURRENT_BINARY_DIR}/codecompletion.h
+    ${CMAKE_CURRENT_BINARY_DIR}/codecompletion.cpp)
+
+
+
+
 SET(kile_SRCS ${kile_SRCS} ${kile_UI_SRCS})
 
 KDE4_ADD_UI_FILES(kile_SRCS ${kile_UI})
@@ -174,7 +208,7 @@
 ########### install files ###############
 
 INSTALL( FILES net.sourceforge.kile.main.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )
-INSTALL( FILES kile.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+INSTALL( PROGRAMS kile.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 INSTALL( FILES kile.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
 INSTALL( FILES data/bibtexentries.rc data/biblatexentries.rc
 kileui.rc docpartui.rc tips DESTINATION ${DATA_INSTALL_DIR}/kile )

=== src/data/CMakeLists.txt ===
ADD_SUBDIRECTORY( complete )
ADD_SUBDIRECTORY( encodings )
ADD_SUBDIRECTORY( help )
ADD_SUBDIRECTORY( icons )
ADD_SUBDIRECTORY( pics )
ADD_SUBDIRECTORY( symbols-ng )
ADD_SUBDIRECTORY( templates )

=== src/data/pics/CMakeLists.txt ===

########### install files ###############
file(GLOB kileicons *.kileicon)

INSTALL(FILES kile_splash.png DESTINATION ${DATA_INSTALL_DIR}/kile/pics RENAME kile_splash.png)

INSTALL(FILES  type_Default.png type_Empty.png type_Project.png DESTINATION ${DATA_INSTALL_DIR}/kile/pics)
INSTALL(FILES ${kileicons} DESTINATION ${DATA_INSTALL_DIR}/kile/pics)

=== src/data/complete/abbreviation/CMakeLists.txt ===
FILE(GLOB kile_abbrevFiles *.cwl)
INSTALL( FILES ${kile_abbrevFiles} DESTINATION ${DATA_INSTALL_DIR}/kile/complete/abbreviation )

=== src/data/symbols-ng/arrows/CMakeLists.txt ===
file(GLOB symbols *.png)
SET(symbolType "arrows")
INSTALL( FILES ${symbols} DESTINATION ${DATA_INSTALL_DIR}/kile/mathsymbols/${symbolType} )

=== debian/changelog ===
kile (1:2.1.0-1ubuntu2.1) precise-proposed; urgency=low

  * Fixed segfault on close when a project is open (LP: #994498). Patch by
    Eugene Shalygin.

 -- Alessandro Menti <alessandro.menti@hotmail.it>  Tue, 07 Aug 2012 19:52:40 +0200

kile (1:2.1.0-1ubuntu2) precise; urgency=low

  * Add kubuntu_use_utf8.diff to prevent pulling in texlive-latex-extra

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 16 Apr 2012 00:46:18 +0530

kile (1:2.1.0-1ubuntu1) oneiric; urgency=low

  * export NO_PNG_PKG_MANGLE=1 so the image metadata isn't stripped from the
    latex symbol icons in the archive builds as kile depends on it. 
    This really fixes LP: #772631 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 01 Oct 2011 01:36:40 +0200

kile (1:2.1.0-1build1) oneiric; urgency=low

  * No changes rebuild to fix binary package, LP: #772631

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 30 Sep 2011 10:47:04 +0100

kile (1:2.1.0-1) unstable; urgency=low

  * New upstream release. (Closes: #630122)
  * Add kile-l10n package (replace kile-i18n).
  * Remove patches:
    - 00_root_document_not_detected_kde_bug_233667.diff - stolen upstream.
    - 03_mime_install_dir.diff - merged upstream.
  * Update debian/rules: remove bibtex.xml/latex.xml work around. The files
    aren't shipped by kile anymore.
  * Cleanup dependencies (Closes: #625916):
    - remove from Depends: texlive-base-bin.
    - add to Recommends: texlive.
    - demote to Suggests: lilypond, texlive-xetex, asymptote, context, dblatex,
      latex2html, tex4ht.
    - remove from Recommends:, okular | evince | gv,
      kbibtex | pybliographer | gbib | jabref, konqueror | firefox, dvipdfmx,
      texlive-metapost.

 -- Fathi Boudra <fabo@debian.org>  Sat, 11 Jun 2011 14:55:19 +0300

=== debian/control ===
Source: kile
Section: tex
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: cmake,
               debhelper (>= 7.4.15),
               kdelibs5-dev (>= 4:4.4.4),
               pkg-kde-tools (>= 0.9.0),
               shared-mime-info
Standards-Version: 3.9.2
Homepage: http://kile.sourceforge.net
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kile/trunk
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kile/trunk

Package: kile
Architecture: any
Depends: konsole, texlive-latex-base, ${misc:Depends}, ${shlibs:Depends}
Recommends: dvipng, ghostscript, imagemagick, psutils, texlive
Suggests: aspell | ispell | hspell,
          asymptote,
          context,
          dblatex,
          kile-doc,
          kile-l10n,
          latex2html,
          lilypond,
          tex4ht,
          texlive-doc-base,
          texlive-xetex,
          zip
Breaks: ktexmaker2 (<< 1.8)
Replaces: ktexmaker2 (<< 1.8)
Description: KDE Integrated LaTeX Environment
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 The source editor is a multi-document editor designed for .tex and .bib
 files.  Menus, wizards and auto-completion are provided to assist with
 tag insertion and code generation.  A structural view of the document
 assists with navigation within source files.
 .
 The TeX shell integrates the various tools required for TeX processing.
 It assists with LaTeX compilation, DVI and postscript document viewing,
 generation of bibliographies and indices and other common tasks.
 .
 Kile can support large projects consisting of several smaller files.

Package: kile-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Integrated LaTeX Environment (documentation)
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 This package contains the documentation for Kile.

Package: kile-l10n
Architecture: all
Section: localization
Depends: kile (>= ${source:Version}), ${misc:Depends}
Breaks: kile-i18n (<< 2.1.0-1)
Replaces: kile-i18n (<< 2.1.0-1)
Description: KDE Integrated LaTeX Environment (localization)
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 This package contains the translations for Kile.

=== debian/watch ===
version=3
http://sf.net/kile/kile-([\d\.].[\d])\.tar\.bz2 debian svn-upgrade

## kile 2.1.2

=== debian/changelog ===
kile (1:2.1.2-0ubuntu1) quantal; urgency=low

  * New upstream bug fix release [LP: #1009626]

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Jun 2012 22:02:31 +0200
